---
title: Array() constructor
slug: Web/JavaScript/Reference/Global_Objects/Array/Array
tags:
  - Array
  - Constructor
  - JavaScript
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Array()</code></strong> constructor is used to create {{jsxref("Array")}} objects.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">[<var>element0</var>, <var>element1</var>, ..., <var>elementN</var>]

new Array(<var>element0</var>, <var>element1</var>[, ...[, <var>elementN</var>]])
new Array(<var>arrayLength</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>element<em>N</em></code></dt>
 <dd>A JavaScript array is initialized with the given elements, except in the case where a single argument is passed to the <code>Array</code> constructor and that argument is a number (see the arrayLength parameter below). Note that this special case only applies to JavaScript arrays created with the <code>Array</code> constructor, not array literals created with the bracket syntax.</dd>
 <dt><code>arrayLength</code></dt>
 <dd>If the only argument passed to the <code>Array</code> constructor is an integer between 0 and 2<sup>32</sup>-1 (inclusive), this returns a new JavaScript array with its <code>length</code> property set to that number (<strong>Note:</strong> this implies an array of <code>arrayLength</code> empty slots, not slots with actual <code>undefined</code> values). If the argument is any other number, a {{jsxref("RangeError")}} exception is thrown.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Array_literal_notation">Array literal notation</h3>

<p>Arrays can be created using the <a href="/en-US/docs/Web/JavaScript/Reference/Lexical_grammar#Array_literals">literal</a> notation:</p>

<pre class="brush: js">let fruits = ['Apple', 'Banana'];

console.log(fruits.length); // 2
console.log(fruits[0]);     // "Apple"
</pre>

<h3 id="Array_constructor_with_a_single_parameter">Array constructor with a single parameter</h3>

<p>Arrays can be created using a constructor with a single number parameter. An array with its <code>length</code> property set to that number and the array elements are empty slots.</p>

<pre class="brush: js">let fruits = new Array(2);

console.log(fruits.length); // 2
console.log(fruits[0]);     // undefined
</pre>

<h3 id="Array_constructor_with_multiple_parameters">Array constructor with multiple parameters</h3>

<p>If more than one argument is passed to the constructor, a new {{jsxref("Array")}} with the given elements is created.</p>

<pre class="brush: js">let fruits = new Array('Apple', 'Banana');

console.log(fruits.length); // 2
console.log(fruits[0]);     // "Apple"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-array-constructor', 'Array constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Array.Array")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Array")}} class</li>
</ul>
